[Debian 64 bit] Najnowszy Wine ze źróde

Archiwalne, stare wpisy FAQ i HowTo Użytkowników
Awatar użytkownika
Rafal_F
Moderator
Posty: 2350
Rejestracja: 29 sierpnia 2008, 16:45

Post autor: Rafal_F » 19 lutego 2014, 20:34

neo86 pisze:Bo np. jak wyjdzie nowsza wersja Wine to nie wiem jak usunąć z systemu tą 1.7.10 tak by coś nie poknocić w systemie :D bo ze źródeł instalowałem z użyciem "make install".
Musisz zachować ten katalog ze źródłami (albo samo Makefile(?) - nie jestem pewien, trzeba by to sprawdzić) i jak będziesz chciał usunąć program wpisz (jako root):

Kod: Zaznacz cały

make uninstall

Awatar użytkownika
Yampress
Administrator
Posty: 6093
Rejestracja: 09 sierpnia 2007, 21:41
Lokalizacja: PL

Post autor: Yampress » 19 lutego 2014, 20:52

jeśli nic nie kompilowałeś tylko to wine wystarczy że usuniesz wszystko co jest w /usr/local/...

Firstborn
Posty: 38
Rejestracja: 05 maja 2009, 10:21
Lokalizacja: Częstochowa

Post autor: Firstborn » 22 kwietnia 2014, 20:07

Odświeżę troszkę. Nie wiem jak było w chwili zakładania wątku, ale obecnie wystarczy dodać architekturę i386 i z repo SIDa zainstalować pakiety: wine32-unstable oraz wine-unstable i otrzymuje się najnowszą wersję z możliwością aktualizacji.

Awatar użytkownika
neo86
Beginner
Posty: 285
Rejestracja: 16 października 2013, 00:03
Lokalizacja: Opolskie

Post autor: neo86 » 22 kwietnia 2014, 20:32

Firstborn pisze:(...) wystarczy dodać architekturę i386 i z repo SIDa zainstalować pakiety: wine32-unstable oraz wine-unstable i otrzymuje się najnowszą wersję z możliwością aktualizacji.
I otrzymuje się Debian'a zmiksowanego Wheezy z namiastką Sid'a ... dzięki ja wolę ze źródeł i nie mieszać Stabilnego z Niestabilnym ;) Ale jak ktoś lubi mieszać sobie w systemie to powodzenia tylko niech potem nie marudzi, że coś mu się poknociło w systemie :D Jakbym chciał problematyczny system to bym wrócił do Ubuntu a, że nie chcę to używam Debian'a Stabilnego 7.4 Wheezy bez mieszanek w repozytoriach. Dzięki temu system cały czas działa mi stabilnie niczym skała!

Firstborn
Posty: 38
Rejestracja: 05 maja 2009, 10:21
Lokalizacja: Częstochowa

Post autor: Firstborn » 22 kwietnia 2014, 22:24

@neo86

Ale bzdury piszesz... Nikt nie musi mieszać stabilnego z niestabilnym. Po pierwsze, niektórzy pracują na stałe w SIDzie, jak np. ja. Oba pakiety są w repo SIDa (o mieszaniu więc nie ma mowy), ale wine-unstable nie jest samodzielny, tylko wymagany do uruchomienia wine32-unstable. Nie są w zależnościach, co jest dla mnie dziwne, ale bez pakietu wine-unstable nie ma binarek do uruchamiania wine32-unstable. Po drugie, wszystkie wymagane pakiety z i386 instalują się jako zależności (wszystkie z repo SIDa, więc nadal nie ma mowy o mieszaniu stabilnego z niestabilnym), dzięki czemu otrzymujemy właśnie namiastkę porządku, jakiego nie ma przy instalacji "na siłę". Mamy pewność, że jakiś zarządca przy opcji remove-orphans nie wywali potrzebnego nam pakietu uznając, że go nie potrzebujemy.

Mój błąd, bo może warto było na wstępie dodać, że instalację jaką zaproponowałem polecam zwłaszcza użytkownikom niestabilnej wersji systemu i tym, którzy ogarniają temat priorytetów APTa.

Awatar użytkownika
Yampress
Administrator
Posty: 6093
Rejestracja: 09 sierpnia 2007, 21:41
Lokalizacja: PL

Post autor: Yampress » 22 kwietnia 2014, 23:10

Tam w zależnościach występuje pakiet libc6. Mieć ten ważny pakiet z systemu niestabilnego na stabilnym to grubo nieprzemyślana sprawa...

Firstborn
Posty: 38
Rejestracja: 05 maja 2009, 10:21
Lokalizacja: Częstochowa

Post autor: Firstborn » 22 kwietnia 2014, 23:43

@Yampress, masz słuszność, ale ja podałem możliwość sprawdzoną i nie sprawiającą u mnie żadnych problemów, a wybór pozostawiam innym użytkownikom debiana. Mniej świadomi powinni poznać dobrze podstawy i znać konsekwencje takich działań. Wiem natomiast, że jest masa osób działających stale w SIDzie i to rozwiązanie będzie dla nich dobre. Przez dłuższy czas byłem nieaktywny na forum i trochę mnie zdziwiło, że podanie gotowego rozwiązania, do którego nikogo nie zmuszam spowoduje odpowiedź w charakterze wojny między tymi, którzy uważają się lepszych bo używają stabilnej wersji systemu i pozostałymi, złymi kombinatorami. :)

Drwiący ton komentarza @neo86 troszkę mi przypomina przerzucanie się argumentami w komentarzach pod artykułami na portalach, gdzie na codzień trwa wojna między tymi, którzy kochają MS Windows i tymi, którzy udają zakochanych w systemach z rodziny Linux :)

Awatar użytkownika
neo86
Beginner
Posty: 285
Rejestracja: 16 października 2013, 00:03
Lokalizacja: Opolskie

Post autor: neo86 » 23 kwietnia 2014, 20:06

Yampress pisze:Tam w zależnościach występuje pakiet libc6. Mieć ten ważny pakiet z systemu niestabilnego na stabilnym to grubo nieprzemyślana sprawa...
Dokładnie! Właśnie o to mi chodziło Mistrzu. Tylko żem wysłowić się nie umiał bom jeszcze świeżak na Debianie po przesiadce z odmóżdżającego Ubuntu... :cool: Ja nie drwię tylko lubię kiedy system działa prawidłowo jak Szwajcarski zegaek i nie wykrzaczy się przypadkiem w najmniej odpowiednim momencie. Od tego chyba jest wersja całkowicie stabilna czyż nie? Taka mieszanka SID'a ze Stabilnym tylko może spowodować w przyszłości nieszczęścia przez jeden mały głupi pakiecik. Już tak mieszałem kiedyś jakieś repozytoria w którymś z linuksów i skończyło się po zwykłym update kernel panic'em. dlatego ten mój Debian 7.4 Wheezy ma tylko w "source.list" wpisy z wheezy i żadne inne obce!

Awatar użytkownika
Yampress
Administrator
Posty: 6093
Rejestracja: 09 sierpnia 2007, 21:41
Lokalizacja: PL

Post autor: Yampress » 23 kwietnia 2014, 21:02

"Bo chodzi o to by język giętki wyraził to co myśli głowa..."

Awatar użytkownika
Menel
Member
Posty: 1117
Rejestracja: 24 sierpnia 2013, 19:58
Lokalizacja: doktor informoparalityki

Post autor: Menel » 24 kwietnia 2014, 01:19

Panowie i ja zabiorę zdanie jako ten młodszy sztuk z inteligencją debianową idącą w dobrym kierunku...mam taką nadzieję ;) ,
neo86 tyś kumaty koluniu ja to wiem, ale w tym przypadku nie masz racji, bo ja zawsze miksowałem debiany swoje i je psułem dopóki nie poznałem sztuki pin-priority i to było olśnienie me ;)

Oczywiście jak pisze nasz jeden z mistrzów Yampress zmiana libc6 jest niezwykle ryzykownym posunięciem i trzeba się nauczyć co można a czego nie można prawda?. Ale mieszać debiany można i można to robić bezpiecznie o ile oczywiście wie co się robi...i są one też niezwykle stabilne tak jak stabilna jest nasza wiedza o nich i stabilna jest obsługa ich po prostu ten system wymaga myślenia kombinowania i uczy bardzo za to go właśnie cenię i nigdy nie zmienię ;)


Im więcej wiesz, tym więcej pozostaje do poznania...

ODPOWIEDZ